gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Gst::MessageStepStart Class Reference

A step start message. More...

Inheritance diagram for Gst::MessageStepStart:
[legend]
Collaboration diagram for Gst::MessageStepStart:
[legend]

## Public Member Functions
| MessageStepStart (GstMessage* castitem)
void | parse (bool& active, Gst::Format& format, guint64& amount, double& rate, bool&flush, bool& intermediate) const
| Extract the values of the step start message. More...
guint64 | parse () const
| Extracts the amount of the step start message. More...
bool | parse_active () const
| Extracts the active flag of the step start message. More...
Gst::Format | parse_format () const
| Extracts the format of the step start message. More...
double | parse_rate () const
| Extracts the rate of the step start message. More...
bool | parse_flush () const
| Extracts the flush flag of the step start message. More...
bool | parse_intermediate () const
| Extracts the intermediate flag of the step start message. More...
Public Member Functions inherited from Gst::Message
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMessage* | gobj ()
| Provides access to the underlying C instance. More...
const GstMessage* | gobj () const
| Provides access to the underlying C instance. More...
GstMessage* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Gst::Structure | get_structure () const
| Access the structure of the message. More...
Glib::RefPtr< Gst::Message > | create_writable ()
| Checks if a message is writable. More...
guint32 | get_seqnum () const
| Retrieve the sequence number of a message. More...
void | set_seqnum (guint32 seqnum)
| Set the sequence number of a message. More...
MessageType | get_message_type () const
| Get the GstMessageType of message. More...
ClockTime | get_timestamp () const
| Get the timestamp of message. More...
Glib::RefPtr< Gst::Object > | get_source ()
| Get the object that posted the message. More...
Glib::RefPtr< const Gst::Object > | get_source () const
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
gint | get_refcount () const
gint | get_lockstate () const
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
void | set_qdata (GQuark quark, QuarkData* data)
| This sets an opaque, named pointer on a miniobject. More...
QuarkData* | get_qdata (GQuark quark) const
| This function gets back user data pointers stored via set_qdata(). More...
QuarkData* | steal_qdata (GQuark quark)
| This function gets back user data pointers stored via set_qdata() and removes the data from object without invoking its destroy() function (if any was set). More...
void | add_finalize_notifier (const SlotFinalizer& slot)
| Adds notifier when mini object is finalized. More...
void | remove_finalize_notifier ()
| Remove finalize notifier. More...

## Static Public Member Functions
static Glib::RefPtr < Gst::MessageStepStart > | create (const Glib::RefPtr< Gst::Object >& src, bool active, Gst::Format format, guint64 amount, double rate, bool flush, bool intermediate)
| Create a step start message. More...

## Additional Inherited Members
Public Types inherited from Gst::MiniObject
typedef sigc::slot< void > | SlotFinalizer
Protected Member Functions inherited from Gst::Message
| Message ()
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
| MiniObject ()
void | operator delete (void*, std::size_t)
Static Protected Member Functions inherited from Gst::Message
template<class MsgType >
static Glib::RefPtr< MsgType > | wrap (GstMessage* message, bool take_copy=false)
Related Functions inherited from Gst::Message
Glib::RefPtr< Gst::Message > | wrap (GstMessage* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A step start message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageStepStart::MessageStepStart | ( | GstMessage * | castitem | ) |
| explicit

## Member Function Documentation

static Glib::RefPtr<Gst::MessageStepStart> Gst::MessageStepStart::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | bool | active,
|  | Gst::Format | format,
|  | guint64 | amount,
|  | double | rate,
|  | bool | flush,
|  | bool | intermediate
| ) |  |
| static

Create a step start message.

This message is posted by elements when they accept or activate a new step event for amount in format.

active is set to false when the element accepted the new step event and has queued it for execution in the streaming threads.

active is set to true when the element has activated the step operation and is now ready to start executing the step in the streaming thread. After this message is emited, the application can queue a new step operation in the element.

Parameters

  src | The object originating the message.
  active | If the step is active or queued.
  format | The format of amount.
  amount | The amount of stepped data.
  rate | The rate of the stepped amount.
  flush | Is this an flushing step.
  intermediate | Is this an intermediate step.

Returns
  The new step start message. MT safe.

Since 0.10.24.

void Gst::MessageStepStart::parse | ( | bool & | active,
|  | Gst::Format& | format,
|  | guint64 & | amount,
|  | double & | rate,
|  | bool & | flush,
|  | bool & | intermediate
| ) |  | const

Extract the values of the step start message.

MT safe.

Parameters

  active | Result location for the active flag.
  format | Result location for the format.
  amount | Result location for the amount.
  rate | Result location for the rate.
  flush | Result location for the flush flag.
  intermediate | Result location for the intermediate flag.

Since 0.10.24.

guint64 Gst::MessageStepStart::parse | ( |  | ) | const

Extracts the amount of the step start message.

Returns
  The amount.

bool Gst::MessageStepStart::parse_active | ( |  | ) | const

Extracts the active flag of the step start message.

Returns
  The active flag.

bool Gst::MessageStepStart::parse_flush | ( |  | ) | const

Extracts the flush flag of the step start message.

Returns
  The flush flag.

Gst::Format Gst::MessageStepStart::parse_format | ( |  | ) | const

Extracts the format of the step start message.

Returns
  The format.

bool Gst::MessageStepStart::parse_intermediate | ( |  | ) | const

Extracts the intermediate flag of the step start message.

Returns
  The intermediate flag.

double Gst::MessageStepStart::parse_rate | ( |  | ) | const

Extracts the rate of the step start message.

Returns
  The rate.

The documentation for this class was generated from the following file:

- gstreamermm/message.h